## qt6-svg 6.8.2

=== CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)

include(.cmake.conf)
project(QtSvg
    VERSION "${QT_REPO_MODULE_VERSION}"
    DESCRIPTION "Qt SVG Libraries"
    HOMEPAGE_URL "https://qt.io/"
    LANGUAGES CXX C
)

find_package(Qt6 ${PROJECT_VERSION} CONFIG REQUIRED COMPONENTS BuildInternals Core)
find_package(Qt6 ${PROJECT_VERSION} QUIET CONFIG OPTIONAL_COMPONENTS Gui Widgets Xml)
qt_internal_project_setup()

# Needed for examples to configure properly when not using ExternalProject and when
# Qt is configured with a bundled zlib.
# Otherwise Qt6SvgDependencies will claim Qt6ZlibPrivate_FOUND is FALSE because we
# set QT_NO_CREATE_TARGETS to TRUE when building examples in-tree.
if(NOT QT_FEATURE_system_zlib)
    find_package(Qt6 ${PROJECT_VERSION} QUIET CONFIG OPTIONAL_COMPONENTS ZlibPrivate)
endif()

qt_build_repo()

=== src/svg/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## Svg Module:
#####################################################################

# Handle the conditional finding of either system zlib or qt zlib.
if(NOT QT_FEATURE_system_zlib)
    find_package(Qt6 COMPONENTS ZlibPrivate)
elseif(NOT TARGET WrapZLIB::WrapZLIB)
    qt_find_package(WrapZLIB PROVIDED_TARGETS WrapZLIB::WrapZLIB)
endif()

qt_internal_add_module(Svg
    SOURCES
        qsvgfont.cpp qsvgfont_p.h
        qsvggenerator.cpp qsvggenerator.h
        qsvggraphics.cpp qsvggraphics_p.h
        qsvghandler.cpp qsvghandler_p.h
        qsvgnode.cpp qsvgnode_p.h
        qsvgrenderer.cpp qsvgrenderer.h
        qsvgstructure.cpp qsvgstructure_p.h
        qsvgfilter.cpp qsvgfilter_p.h
        qsvgstyle.cpp qsvgstyle_p.h
        qsvgtinydocument.cpp qsvgtinydocument_p.h
        qsvghelper_p.h
        qsvgdebug.cpp
        qsvgvisitor.cpp qsvgvisitor_p.h
        qtsvgglobal.h qtsvgglobal_p.h
    DEFINES
        QT_NO_CONTEXTLESS_CONNECT
        QT_NO_USING_NAMESPACE
    LIBRARIES
        Qt::CorePrivate
        Qt::GuiPrivate
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Gui
    PRIVATE_MODULE_INTERFACE
        Qt::CorePrivate
        Qt::GuiPrivate
)

## Scopes:
#####################################################################

qt_internal_extend_target(Svg CONDITION MSVC AND (TEST_architecture_arch STREQUAL "i386")
    LINK_OPTIONS
        "/BASE:0x66000000"
)

qt_internal_extend_target(Svg CONDITION QT_FEATURE_system_zlib
    LIBRARIES
        WrapZLIB::WrapZLIB
)

qt_internal_extend_target(Svg CONDITION NOT QT_FEATURE_system_zlib
    LIBRARIES
        Qt::ZlibPrivate
)
qt_internal_add_docs(Svg
    doc/qtsvg.qdocconf
)

=== tests/manual/examples/embedded/desktopservices/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(desktopservices LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/svg/embedded/desktopservices")

find_package(Qt6 REQUIRED COMPONENTS Core Gui Widgets)

qt_add_executable(desktopservices
    contenttab.cpp contenttab.h
    desktopwidget.cpp desktopwidget.h
    linktab.cpp linktab.h
    main.cpp
)

set_target_properties(desktopservices PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(desktopservices PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Widgets
)

# Resources:
set(desktopservices_resource_files
    "resources/browser.png"
    "resources/message.png"
    "resources/music.png"
    "resources/photo.png"
)

qt6_add_resources(desktopservices "desktopservices"
    PREFIX
        "/"
    FILES
        ${desktopservices_resource_files}
)

install(TARGETS desktopservices
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== debian/changelog ===
qt6-svg (6.8.2-3) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Mar 2025 13:21:58 +0100

qt6-svg (6.8.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Feb 2025 12:30:32 +0100

qt6-svg (6.8.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.8.2).
  * Bump Qt B-Ds to 6.8.2.
  * Update ABI to 6.8.2.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Mon, 03 Feb 2025 20:55:35 +0100

=== debian/control ===
Source: qt6-svg
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
Build-Depends: cmake (>= 3.24~),
               debhelper-compat (= 13),
               libgl-dev,
               libvulkan-dev [linux-any],
               ninja-build,
               pkgconf,
               pkg-kde-tools,
               qt6-base-dev (>= 6.8.2+dfsg~),
               qt6-base-private-dev (>= 6.8.2+dfsg~),
               zlib1g-dev,
Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
Standards-Version: 4.7.0
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-svg
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-svg.git
Rules-Requires-Root: no

Package: libqt6svg6
Provides: qt6-svg-private-abi (= 6.8.2),
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 SVG library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtSvg module provides classes for displaying the contents of SVG files.
 .
 Scalable Vector Graphics (SVG) is a language for describing two-dimensional
 graphics and graphical applications in XML.
 .
 This package contains Qt 6 SVG library.

Package: libqt6svgwidgets6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 SVG Widgets library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtSvg module provides classes for displaying the contents of SVG files.
 .
 Scalable Vector Graphics (SVG) is a language for describing two-dimensional
 graphics and graphical applications in XML
 .
 This package contains Qt 6 SVG Widgets library.

Package: qt6-svg-plugins
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libqt6svg6 (<< 6.7.2-5~),
Replaces: libqt6svg6 (<< 6.7.2-5~),
Description: Qt 6 SVG library plugins
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtSvg module provides classes for displaying the contents of SVG files.
 .
 Scalable Vector Graphics (SVG) is a language for describing two-dimensional
 graphics and graphical applications in XML.
 .
 This package contains Qt 6 SVG library plugins.

Package: qt6-svg-dev
Provides: libqt6svg6-dev (= ${binary:Version}),
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt6svg6 (= ${binary:Version}),
         libqt6svgwidgets6 (= ${binary:Version}),
         ${misc:Depends},
Breaks: libqt6svg6-dev (<< 6.4.1~),
Replaces: libqt6svg6-dev (<< 6.4.1~),
Description: Qt 6 SVG - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtSvg module provides classes for displaying the contents of SVG files.
 .
 Scalable Vector Graphics (SVG) is a language for describing two-dimensional
 graphics and graphical applications in XML.
 .
 This package contains the header development files used for building Qt 6
 applications using QtSvg library.

Package: qt6-svg-private-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: qt6-svg-dev (= ${binary:Version}),
         ${misc:Depends},
Description: Qt 6 SVG - private development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtSvg module provides classes for displaying the contents of SVG files.
 .
 Scalable Vector Graphics (SVG) is a language for describing two-dimensional
 graphics and graphical applications in XML.
 .
 This package contains the private development files used for building Qt 6
 applications using QtSvg library.
 .
 Use at your own risk.

Package: qt6-svg-doc
Architecture: all
Section: doc
Depends: qt6-base-doc, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 SVG documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 6 SVG.

Package: qt6-svg-doc-html
Architecture: all
Section: doc
Depends: qt6-base-doc-html, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 SVG HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt 6 SVG.

Package: qt6-svg-doc-dev
Architecture: all
Section: libdevel
Depends: qt6-base-doc-dev, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 svg tags files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the doxygen tags files for the qt SVG
 documentation.

## qt6-svg 6.8.3

=== src/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

if(TARGET Qt::Gui)
    add_subdirectory(svg)
    add_subdirectory(plugins)
endif()
if(TARGET Qt::Widgets)
    add_subdirectory(svgwidgets)
endif()

=== tests/auto/cmake/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(qtsvg_cmake_tests)

enable_testing()

find_package(Qt6Core REQUIRED)

include("${_Qt6CTestMacros}")

_qt_internal_test_module_includes(
  Svg QSvgRenderer
)

=== tests/auto/qicon_svg/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## tst_qicon_svg Test:
#####################################################################

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_qicon_svg LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

# Collect test data
file(GLOB_RECURSE test_data_glob
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
    icons/*)
list(APPEND test_data ${test_data_glob})

qt_internal_add_test(tst_qicon_svg
    LOWDPI
    SOURCES
        tst_qicon_svg.cpp
    LIBRARIES
        Qt::Gui
        Qt::GuiPrivate
        Qt::Svg
    TESTDATA ${test_data}
)

# Resources:
set(tst_qicon_svg_resource_files
    "./icons/heart.svg"
    "./icons/heart.svgz"
    "./icons/image.png"
    "./icons/rect.svg"
    "./icons/rect_size_100percent.svg"
    "./icons/trash.svg"
    "./icons/triangle.svg"
)

qt_internal_add_resource(tst_qicon_svg "tst_qicon_svg"
    PREFIX
        "/"
    FILES
        ${tst_qicon_svg_resource_files}
)

=== debian/changelog ===
qt6-svg (6.8.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 27 Mar 2025 22:20:52 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qt6-svg
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
@@ -10,8 +11,8 @@
                ninja-build,
                pkgconf,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.8.2+dfsg~),
-               qt6-base-private-dev (>= 6.8.2+dfsg~),
+               qt6-base-dev (>= 6.8.3+dfsg~),
+               qt6-base-private-dev (>= 6.8.3+dfsg~),
                zlib1g-dev,
 Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                      qt6-documentation-tools (>= 6.8~) <!nodoc>,
@@ -22,7 +23,7 @@
 Rules-Requires-Root: no
 
 Package: libqt6svg6
-Provides: qt6-svg-private-abi (= 6.8.2),
+Provides: qt6-svg-private-abi (= 6.8.3),
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto

# QT_HOST_PATH isn't passed in cross-builds
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	extra_cmake_args += -DQT_HOST_PATH=/usr
endif

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		--log-level=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		$(extra_cmake_args)

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-indep:
	DESTDIR=$(CURDIR)/debian/tmp dh_auto_build -- install_docs
	# Remove build path from index files.
	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
               sed -i 's@$(CURDIR)/@@g' {} \;

execute_after_dh_auto_install-arch:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

## qt6-svg 6.9.1

=== debian/changelog ===
qt6-svg (6.9.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Do not use ccache on hurd.
  * Remove inactive uploaders, thank you for your work.

 -- Patrick Franz <deltaone@debian.org>  Tue, 26 Aug 2025 11:54:12 +0200

qt6-svg (6.9.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.1).
  * Bump Qt B-Ds to 6.9.1.
  * Update ABI to 6.9.1.
  * Update list of installed files.
  * Bump Standards-Version to 4.7.2 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sun, 13 Jul 2025 13:50:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,29 @@
 Source: qt6-svg
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
-Build-Depends: cmake (>= 3.24~),
-               debhelper-compat (= 13),
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Patrick Franz <deltaone@debian.org>,
+Build-Depends: debhelper-compat (= 13),
+               ccache [linux-any],
+               cmake (>= 3.24~),
                libgl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
+               pkg-kde-tools,
                pkgconf,
-               pkg-kde-tools,
-               qt6-base-dev (>= 6.8.3+dfsg~),
-               qt6-base-private-dev (>= 6.8.3+dfsg~),
+               qt6-base-dev (>= 6.9.1+dfsg~),
+               qt6-base-private-dev (>= 6.9.1+dfsg~),
                zlib1g-dev,
-Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
-Standards-Version: 4.7.0
+Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.9~) <!nodoc>,
+Standards-Version: 4.7.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-svg
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-svg.git
 Rules-Requires-Root: no
 
 Package: libqt6svg6
-Provides: qt6-svg-private-abi (= 6.8.3),
+Provides: qt6-svg-private-abi (= 6.9.1),
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
@@ -97,8 +97,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: qt6-svg-dev (= ${binary:Version}),
-         ${misc:Depends},
+Depends: qt6-svg-dev (= ${binary:Version}), ${misc:Depends},
 Description: Qt 6 SVG - private development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.

## qt6-svg 6.9.2

=== tests/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

if(QT_BUILD_STANDALONE_TESTS)
    # Add qt_find_package calls for extra dependencies that need to be found when building
    # the standalone tests here.
endif()

qt_build_tests()

=== tests/benchmarks/CMakeLists.txt ===
# Copyright (C) 2025 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(svg)

=== tests/auto/qsvgplugin/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## tst_qsvgplugin Test:
#####################################################################

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_qsvgplugin LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

qt_internal_add_test(tst_qsvgplugin
    SOURCES
        tst_qsvgplugin.cpp
    LIBRARIES
        Qt::Gui
        Qt::GuiPrivate
        Qt::SvgPrivate
)

# Resources:
set(resources_resource_files
    "imageInclude.svg"
    "imageIncludeA.svg"
    "checkers.png"
    "square.svg"
    "square_size.svg"
    "square_size_viewbox.svg"
    "square_viewbox.svg"
    "tall.svg"
    "tall_size.svg"
    "tall_size_viewbox.svg"
    "tall_viewbox.svg"
    "wide.svg"
    "wide_size.svg"
    "wide_size_viewbox.svg"
    "wide_viewbox.svg"
    "simple_Utf8.svg"
    "simple_Utf8.svgz"
    "simple_Utf16LE.svg"
    "simple_Utf16BE.svg"
    "simple_Utf32LE.svg"
    "simple_Utf32BE.svg"
    "simple_Utf32BE.svg.gz"
    "invalid_xml.svg"
    "xml_not_svg.svg"
    "invalid_then_valid.svg"
)

qt_internal_add_resource(tst_qsvgplugin "resources"
    PREFIX
        "/"
    FILES
        ${resources_resource_files}
)

=== tests/baseline/qsvgrenderer/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_baseline_qsvgrenderer LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

# Collect test data
list(APPEND test_data "../data")
set(BASELINE_DIR "../../../../qtbase/tests/baseline/shared")

find_package(Qt6 ${PROJECT_VERSION} CONFIG REQUIRED COMPONENTS Network)

qt_internal_add_test(tst_baseline_qsvgrenderer
    SOURCES
         ${BASELINE_DIR}/baselineprotocol.cpp
         ${BASELINE_DIR}/baselineprotocol.h
         ${BASELINE_DIR}/lookup3.cpp
         ${BASELINE_DIR}/qbaselinetest.cpp
         ${BASELINE_DIR}/qbaselinetest.h
        tst_baseline_qsvgrenderer.cpp
    INCLUDE_DIRECTORIES
        ${BASELINE_DIR}
    LIBRARIES
        Qt::SvgPrivate
        Qt::Network
    TESTDATA ${test_data}
)

=== tests/benchmarks/svg/CMakeLists.txt ===
# Copyright (C) 2025 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(qsvgrenderer)

=== src/plugins/iconengines/svgiconengine/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## QSvgIconPlugin Plugin:
#####################################################################

qt_internal_add_plugin(QSvgIconPlugin
    OUTPUT_NAME qsvgicon
    PLUGIN_TYPE iconengines
    SOURCES
        main.cpp
        qsvgiconengine.cpp qsvgiconengine.h
    LIBRARIES
        Qt::Core
        Qt::CorePrivate
        Qt::Gui
        Qt::GuiPrivate
        Qt::Svg
)

=== tests/benchmarks/svg/qsvgrenderer/CMakeLists.txt ===
# Copyright (C) 2025 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## tst_bench_qsvgrenderer Binary:
#####################################################################

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_qicon_svg LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

qt_internal_add_benchmark(tst_bench_qsvgrenderer
    SOURCES
        tst_qsvgrenderer.cpp
    LIBRARIES
        Qt::Gui
        Qt::Test
        Qt::Svg
)

qt_internal_add_resource(tst_bench_qsvgrenderer "tst_bench_qsvgrenderer_dat"
    PREFIX
        "/"
    FILES
        "./data/tiger.svg"
        "./data/filter.svg"
        "./data/mask.svg"
        "./data/opacity.svg"
        "./data/text.svg"
)

=== tests/manual/examples/draganddrop/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

if(TARGET Qt::Widgets)
    add_subdirectory(delayedencoding)
endif()

=== tests/manual/examples/embedded/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

if(TARGET Qt::Widgets)
    add_subdirectory(desktopservices)
endif()
if(QT_FEATURE_process AND TARGET Qt::Widgets)
    add_subdirectory(fluidlauncher)
endif()

=== tests/manual/examples/svggenerator/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(svggenerator LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/svg/svggenerator")

find_package(Qt6 REQUIRED COMPONENTS Core Gui Svg Widgets)

qt_add_executable(svggenerator
    displaywidget.cpp displaywidget.h
    forms/window.ui
    main.cpp
    window.cpp window.h
)

set_target_properties(svggenerator PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_include_directories(svggenerator PUBLIC
    ${CMAKE_CURRENT_SOURCE_DIR}
)

set_target_properties(svggenerator PROPERTIES
                      AUTOUIC_SEARCH_PATHS
                      "${CMAKE_CURRENT_SOURCE_DIR}/forms")
target_link_libraries(svggenerator PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Svg
    Qt::Widgets
)

# Resources:
set(svggenerator_resource_files
    "resources/shapes.dat"
)

qt6_add_resources(svggenerator "svggenerator"
    PREFIX
        "/"
    FILES
        ${svggenerator_resource_files}
)

install(TARGETS svggenerator
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== tests/manual/examples/svgwidget/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(svgwidget LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/svg/svgwidget")

find_package(Qt6 REQUIRED COMPONENTS Core Gui Svg SvgWidgets Widgets)

qt_add_executable(svgwidget
    main.cpp
)

set_target_properties(svgwidget PROPERTIES
    WIN32_EXECUTABLE FALSE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(svgwidget PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Svg
    Qt::SvgWidgets
    Qt::Widgets
)

# Resources:
set(svgwidget_resource_files
    "files/bubbles.svg"
    "files/spheres.svg"
)

qt6_add_resources(svgwidget "svgwidget"
    PREFIX
        "/"
    FILES
        ${svgwidget_resource_files}
)

install(TARGETS svgwidget
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== tests/manual/examples/textobject/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(textobject LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/svg/richtext/textobject")

find_package(Qt6 REQUIRED COMPONENTS Core Gui Svg Widgets)

qt_add_executable(textobject
    main.cpp
    svgtextobject.cpp svgtextobject.h
    window.cpp window.h
)

set_target_properties(textobject PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(textobject PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Svg
    Qt::Widgets
)

# Resources:
set(resources_resource_files
    "files/heart.svg"
)

qt6_add_resources(textobject "resources"
    PREFIX
        "/"
    FILES
        ${resources_resource_files}
)

install(TARGETS textobject
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== debian/changelog ===
qt6-svg (6.9.2-5) unstable; urgency=medium

  [ Patrick Franz ]
  * Enable ccache only whhen build in corresponding build profile.

 -- Patrick Franz <deltaone@debian.org>  Sun, 26 Oct 2025 12:51:48 +0100

qt6-svg (6.9.2-4) unstable; urgency=medium

  [ Patrick Franz ]
  * Revert patch that fixes CVE-2025-10729 (Closes: #1117896).
  * Drop Rules-Requires-Root: no, not needed any more.

 -- Patrick Franz <deltaone@debian.org>  Sun, 12 Oct 2025 16:12:48 +0200

qt6-svg (6.9.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Backport patch to fix CVE-2025-10728 (Closes: #1117447).
  * Backport patch to fix CVE-2025-10729 (Closes: #1117445).

 -- Patrick Franz <deltaone@debian.org>  Tue, 07 Oct 2025 22:56:49 +0200

qt6-svg (6.9.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 22 Sep 2025 20:48:07 +0200

qt6-svg (6.9.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Use dh-sequence-pkgkde-symbolshelper instead of --with.
  * New upstream release (6.9.2).
  * Bump Qt B-Ds to 6.9.2.
  * Update ABI to 6.9.2.

 -- Patrick Franz <deltaone@debian.org>  Thu, 04 Sep 2025 19:19:03 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
 Build-Depends: debhelper-compat (= 13),
-               ccache [linux-any],
+               dh-sequence-pkgkde-symbolshelper,
                cmake (>= 3.24~),
                libgl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
                pkg-kde-tools,
                pkgconf,
-               qt6-base-dev (>= 6.9.1+dfsg~),
-               qt6-base-private-dev (>= 6.9.1+dfsg~),
+               qt6-base-dev (>= 6.9.2+dfsg~),
+               qt6-base-private-dev (>= 6.9.2+dfsg~),
                zlib1g-dev,
 Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                      qt6-documentation-tools (>= 6.9~) <!nodoc>,
@@ -20,10 +20,9 @@
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-svg
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-svg.git
-Rules-Requires-Root: no
 
 Package: libqt6svg6
-Provides: qt6-svg-private-abi (= 6.9.1),
+Provides: qt6-svg-private-abi (= 6.9.2),
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,13 @@
 	extra_cmake_args += -DQT_HOST_PATH=/usr
 endif
 
+# enable ccache with corresponding build-profile
+ifneq ($(filter ccache,$(DEB_BUILD_PROFILES)),)
+	extra_cmake_args += -DQT_USE_CCACHE=ON
+endif
+
 %:
-	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja
+	dh $@ --buildsystem=cmake+ninja
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

## qt6-svg 6.10.0

=== debian/changelog ===
qt6-svg (6.10.0-0zneon+24.04+noble+stable+build39) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 17 Nov 2025 08:39:30 +0000

qt6-svg (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 15 Nov 2025 15:34:54 +1000

qt6-svg (6.9.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 04 Nov 2025 18:48:18 +1000

qt6-svg (6.9.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Thu, 28 Aug 2025 22:16:36 +1000

qt6-svg (6.9.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Wed, 09 Jul 2025 20:08:04 +1000

qt6-svg (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sun, 20 Apr 2025 19:10:30 +1000

qt6-svg (6.8.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 11 Apr 2025 23:34:15 +1000

qt6-svg (6.8.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 09 Feb 2025 06:35:41 +1000

qt6-svg (6.8.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Tue, 03 Dec 2024 14:19:31 +1000

qt6-svg (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 24 Jul 2024 21:19:57 +1000

qt6-svg (6.7.0-0neon) jammy; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Fri, 16 Feb 2024 17:52:49 +1000

qt6-svg (6.6.1-0neon) jammy; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 09 Dec 2023 10:53:41 +1000

qt6-svg (6.4.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.2).
  * Bump Qt B-Ds to 6.4.2.
  * Rename libqt6svg6-dev to qt6-svg-dev.

 -- Patrick Franz <deltaone@debian.org>  Tue, 15 Nov 2022 22:56:36 +0100

=== debian/control ===
Source: qt6-svg
Section: libs
Priority: optional
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libgl-dev,
               libvulkan-dev [linux-any],
               libxkbcommon-dev,
               mold,
               ninja-build,
               pkg-kde-tools,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev (>= 6.10.0~),
               zlib1g-dev
Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
                     qt6-tools-dev (>= 6.10~) <!nodoc>
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-svg.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-svg
Maintainer: Neon CI <neon@kde.org>

Package: qt6-svg
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libqt6svg6, libqt6svgwidgets6
Description: Qt 6 SVG library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtSvg module provides classes for displaying the contents of SVG files.
 .
 Scalable Vector Graphics (SVG) is a language for describing two-dimensional
 graphics and graphical applications in XML.
 .
 This package contains Qt 6 SVG library.

Package: qt6-svg-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-dev,
         qt6-svg (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libqt6svg6-dev (<< 6.4.1~)
Replaces: libqt6svg6-dev, qt6-svg-doc-dev, qt6-svg-examples
Description: Qt 6 SVG - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtSvg module provides classes for displaying the contents of SVG files.
 .
 Scalable Vector Graphics (SVG) is a language for describing two-dimensional
 graphics and graphical applications in XML.
 .
 This package contains the header development files used for building Qt 6
 applications using QtSvg library.

Package: qt6-svg-doc
Architecture: all
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-doc, qt6-svg-dev, ${misc:Depends}, ${shlibs:Depends}
Replaces: qt6-svg-doc-html
Description: Qt 6 SVG - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtSvg module provides classes for displaying the contents of SVG files.
 .
 Scalable Vector Graphics (SVG) is a language for describing two-dimensional
 graphics and graphical applications in XML.
 .
 This package contains the documentation files used for to help build Qt 6
 applications using the QtSvg library.

Package: libqt6svg6
Architecture: all
Depends: qt6-svg, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6svg6-dev
Architecture: all
Depends: qt6-svg-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6svgwidgets6
Architecture: all
Depends: qt6-svg, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-svg-doc-dev
Architecture: all
Depends: qt6-svg-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-svg-doc-html
Architecture: all
Depends: qt6-svg-doc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-svg-examples
Architecture: all
Depends: qt6-svg-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto

# QT_HOST_PATH isn't passed in cross-builds
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	extra_cmake_args += \
		-DQT_HOST_PATH=/usr \
		-DQT_HOST_PATH_CMAKE_DIR=/usr/lib/${DEB_BUILD_MULTIARCH}/cmake \
		-DQT_BUILD_TOOLS_WHEN_CROSSCOMPILING=ON
endif

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_MESSAGE_LOG_LEVEL=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		-DCMAKE_INTERPROCEDURAL_OPTIMIZATION=ON \
		-DQT_NO_PRIVATE_MODULE_WARNING=ON \
		-DQT_UNITY_BUILD=ON \
		$(extra_cmake_args)

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-indep:
	DESTDIR=$(CURDIR)/debian/tmp dh_auto_build -- install_docs
	# Remove build path from index files.
	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
                sed -i 's@$(CURDIR)/@@g' {} \;

execute_after_dh_auto_install-arch:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

## qt6-svg 6.10.1

=== debian/changelog ===
qt6-svg (6.10.1-0zneon+24.04+noble+stable+build40) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 29 Nov 2025 02:03:00 +0000

qt6-svg (6.10.1-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 29 Nov 2025 07:56:07 +1000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                pkg-kde-tools,
                pkg-kde-tools-neon,
                pkgconf,
-               qt6-base-dev (>= 6.10.0~),
+               qt6-base-dev (>= 6.10.1~),
                zlib1g-dev
 Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
                      qt6-tools-dev (>= 6.10~) <!nodoc>

## qt6-svg 6.10.2

=== tests/auto/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(cmake)

# For now, don't built auto tests when QT_BUILD_MINIMAL_STATIC_TEST
# is specified and the build is targeting iOS. QT_BUILD_MINIMAL_STATIC_TEST is used in our CI.
# Regular non-cmake build tests shouldn't be built because the CI will try to run them and fail
# due to missing simulator support.
if(IOS AND QT_BUILD_MINIMAL_STATIC_TESTS)
    return()
endif()

if(TARGET Qt::Widgets)
    add_subdirectory(qsvgdevice)
endif()
if(TARGET Qt::Xml)
    add_subdirectory(qsvggenerator)
endif()
add_subdirectory(qsvgplugin)
add_subdirectory(qicon_svg)
if(NOT ANDROID)
    add_subdirectory(qsvgrenderer)
endif()
if (QT_FEATURE_cssparser)
    add_subdirectory(qsvgcss)
endif()

=== debian/changelog ===
qt6-svg (6.10.2-0zneon+24.04+noble+unstable+build51) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 10 Feb 2026 05:25:24 +0000

qt6-svg (6.10.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 10 Feb 2026 11:32:50 +1000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                pkg-kde-tools,
                pkg-kde-tools-neon,
                pkgconf,
-               qt6-base-dev (>= 6.10.1~),
+               qt6-base-dev (>= 6.10.2~),
                zlib1g-dev
 Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
                      qt6-tools-dev (>= 6.10~) <!nodoc>

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,6 @@
 		-DCMAKE_MESSAGE_LOG_LEVEL=STATUS \
 		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
 		-DCMAKE_INTERPROCEDURAL_OPTIMIZATION=ON \
-		-DQT_NO_PRIVATE_MODULE_WARNING=ON \
 		-DQT_UNITY_BUILD=ON \
 		$(extra_cmake_args)

=== debian/watch ===
version=4
opts=uversionmangle=s/-/~/ \
https://mirror.netcologne.de/qtproject/official_releases/qt/([\d\.]+)/([\d\.]+)(\d)/submodules/qtsvg-everywhere-src-([\d\.]+\d).tar.xz
